Bug 254907 - devel/electron11: backport missing patch from www/chromium
Summary: devel/electron11: backport missing patch from www/chromium
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-09 06:57 UTC by Mikael Urankar
Modified: 2021-04-11 13:25 UTC (History)
3 users (show)

See Also:


Attachments
v0 (2.20 KB, patch)
2021-04-09 06:57 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2021-04-09 06:57:47 UTC
Created attachment 223940 [details]
v0

"Issue" seen when porting signal-desktop:
40601: open("/sys/class/tty/tty0/active",O_RDONLY|O_CLOEXEC,0666) ERR#2 'No such file or directory'

the patch comes from www/chromium/files/patch-gpu_ipc_service_gpu__watchdog__thread.cc


unrelated to this issue but recent updates doesn't patch correctly
===> FAILED to apply cleanly FreeBSD patch(es)  patch-services_network_network__context.cc patch-third__party_electron__node_deps_uv_BUILD.gn
Comment 1 Hiroki Tagato freebsd_committer 2021-04-10 08:02:15 UTC
(In reply to Mikael Urankar from comment #0)

Thank you for the patch. I'm looking into this.

> unrelated to this issue but recent updates doesn't patch correctly
> ===> FAILED to apply cleanly FreeBSD patch(es)  patch-services_network_network__context.cc patch-third__party_electron__node_deps_uv_BUILD.gn

If you do "make build" within the ports repo. Please seet working directory somewhere outside of the git repo by doing (for example):

export WKRDIR=~/wrkdir

Without doing so, the patch phase fails for some reason.
Comment 2 tech-lists 2021-04-11 11:21:16 UTC
(In reply to Hiroki Tagato from comment #1)

also please see https://github.com/tagattie/FreeBSD-Electron/issues/120
Comment 3 commit-hook freebsd_committer 2021-04-11 13:24:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e2105f2ad67dccede5c128ea63673003d1b10ec4

commit e2105f2ad67dccede5c128ea63673003d1b10ec4
Author:     Hiroki Tagato <tagattie@FreeBSD.org>
AuthorDate: 2021-04-11 13:15:39 +0000
Commit:     Hiroki Tagato <tagattie@FreeBSD.org>
CommitDate: 2021-04-11 13:23:42 +0000

    devel/electron11: backport missing patch from www/chromium [1]

    While here:
    - fix patch error when WRKDIR is within the ports git repo [2]
    - bump PORTREVISION

    PR:             254907
    Submitted by:   mikael [1]
    Reported by:    many [2]

 devel/electron11/Makefile                          |  1 +
 devel/electron11/files/apply-electron-patches.sh   |  8 +++-
 ..._ipc_service_gpu__watchdog__thread__v2.cc (new) | 47 ++++++++++++++++++++++
 3 files changed, 55 insertions(+), 1 deletion(-)
Comment 4 Hiroki Tagato freebsd_committer 2021-04-11 13:25:33 UTC
Committed, thanks!